﻿/*
 * Du schreibst ein Script lieber in Visual Basic ?
 * Kein Problem. Schreib es einfach in VB und gehe
 * dann auf diese Webseite:
 * http://www.developerfusion.com/tools/convert/vb-to-csharp
 * 
 * Dort kopierts Du Deinen VB Code hinein und lässt ihn Dir in C#
 * setzen.
 * 
 * BeSager kann leider nur C# File scripten, aber diesem Workaround
 * sollte das keine allzu große Einschränkung sein
 */

using System;
using System.Collections.Generic;

using BeSagerCore;

public class DefaultImporter
{
	public Booking
	ImportLine( IBookingBuilder builder, string[] items )
	{
		PlaceholderBooking booking = new PlaceholderBooking( builder );

		DateTime date = DateTime.Now;
		DateTime.TryParse( items[1], out date );

		booking.BookingDate = date;

		TransferDirection direction = TransferDirection.Receive;
		decimal			  amount;
		if ( ! decimal.TryParse( items[5], out amount ) )
		{
			decimal.TryParse( items[6], out amount );
			direction = TransferDirection.Send;
		}

		booking.Amount	  = amount;
		booking.Direction = direction;

		for ( int i = 0; i < items.Length; i++ )
		{
			if ( 0 < i )
				booking.Comment += " | ";

			booking.Comment += items[i];
		}

		return booking;
	}
}
